package henkan.dsl;

import com.google.inject.TypeLiteral;
import com.google.inject.spi.InjectionListener;
import com.google.inject.spi.TypeEncounter;
import com.google.inject.spi.TypeListener;
import org.apache.log4j.Logger;
import org.eclipse.xtext.resource.XtextResourceSet;
import org.eclipse.xtext.resource.impl.ResourceDescriptionsProvider;
import org.eclipse.xtext.util.internal.Log;

@Log
@SuppressWarnings("all")
public class XtextResourceSetListener implements TypeListener {
  public <I extends Object> void hear(final TypeLiteral<I> type, final TypeEncounter<I> encounter) {
    encounter.register(new InjectionListener() {
      public void afterInjection(final Object injectee) {
        if ((injectee instanceof XtextResourceSet)) {
          XtextResourceSetListener.LOG.info("encountered xtextresourceset");
          boolean _containsKey = ((XtextResourceSet)injectee).getLoadOptions().containsKey(ResourceDescriptionsProvider.LIVE_SCOPE);
          boolean _not = (!_containsKey);
          if (_not) {
            ((XtextResourceSet)injectee).addLoadOption(ResourceDescriptionsProvider.LIVE_SCOPE, Boolean.valueOf(true));
          }
        }
      }
    });
  }
  
  private final static Logger LOG = Logger.getLogger(XtextResourceSetListener.class);
}
