package henkan.dsl.tests

import org.junit.runner.RunWith
import org.eclipse.xtext.testing.XtextRunner
import org.eclipse.xtext.testing.InjectWith
import com.google.inject.Inject
import henkan.dsl.repo.SourceTypeRepo
import org.junit.Test
import henkan.dsl.repo.HoconSourceTypeRepo.HoconURL
import org.junit.Assert

@RunWith(XtextRunner)
@InjectWith(HDslInjectorProvider)
class HoconConfigTest {
	@Inject
	SourceTypeRepo repo
	@Inject
	@HoconURL
	String repourl
	
	@Test
	def repoPath(){
		Assert.assertFalse(repourl.nullOrEmpty)
	}
	
	@Test
	def repoLoad(){
		val result=repo.load(1)
		result.forEach[println(it)]
	}
}