package henkan.dsl.jvmmodel

import org.eclipse.xtext.xbase.typesystem.computation.ITypeComputationState
import org.eclipse.xtext.xbase.typesystem.computation.XbaseTypeComputer
import henkan.dsl.hDsl.EmitExpression
import org.eclipse.xtext.util.internal.Log
import henkan.dsl.hDsl.ExpressionColumn

@Log class HenkanTypeComputer extends XbaseTypeComputer{
	def dispatch void computeTypes(EmitExpression emit, ITypeComputationState state) {
		for(column:emit.columns){
			if(column instanceof ExpressionColumn){
				LOG.info("expr column"+column)
				val result=state.withNonVoidExpectation.computeTypes(column)
				LOG.info(result)
			}
		}
		LOG.info("called")
		
		state.acceptActualType(getPrimitiveVoid(state))
		
	}
	
	def dispatch void computeTypes(ExpressionColumn column,ITypeComputationState state){
		LOG.info("expression column compute types")
		val result=state.withNonVoidExpectation.computeTypes(column.xpr)
		state.acceptActualType(result.actualExpressionType)
	}
}
